import express from "express";
import { Request, Response } from 'express';
import { NotificationPayload } from "../types/event";
import ProcessPayload from "./processPayload";
declare class Server {
    port: number | string;
    verifyToken: string;
    constructor(port: number | string, verifyToken: string);
    start(notificationCallback: (arg0: NotificationPayload, arg1: ProcessPayload) => Promise<any>): import("express-serve-static-core").Express;
    handleVerification: (req: Request, res: Response) => express.Response<any, Record<string, any>>;
}
export default Server;
